<?php

\set_time_limit(0);
require __DIR__ . '/common.php';
use Ministra\Lib\bd5c9022e9a9029209e5fd05775ea272\B4291b8d8fa2d898727b1f446db1e661e;
use Ministra\Lib\KaraokeMaster;
use Ministra\Lib\VideoMaster;
$updated_video = 0;
$updated_karaoke = 0;
$not_custom_video = \Ministra\Lib\bd5c9022e9a9029209e5fd05775ea272\B4291b8d8fa2d898727b1f446db1e661e::getInstance()->from('video')->where(['protocol!=' => 'custom'])->get();
while ($video = $not_custom_video->next()) {
    $master = new \Ministra\Lib\VideoMaster();
    $master->getAllGoodStoragesForMediaFromNet($video['id'], 0, \true);
    unset($master);
    ++$updated_video;
}
$not_custom_karaoke = \Ministra\Lib\bd5c9022e9a9029209e5fd05775ea272\B4291b8d8fa2d898727b1f446db1e661e::getInstance()->from('karaoke')->where(['protocol!=' => 'custom'])->get();
while ($karaoke = $not_custom_karaoke->next()) {
    $master = new \Ministra\Lib\KaraokeMaster();
    $master->getAllGoodStoragesForMediaFromNet($karaoke['id'], 0);
    unset($master);
    ++$updated_karaoke;
}
echo 1;
